#include <stdint.h>

const uint32_t bmp_header_size = 0x76;

const uint32_t bmp_image_width = 0x100;

const uint32_t bmp_image_height = 0x120;

const uint32_t bmp_image_size = 0x12000;

const uint32_t bmp_file_size = 0x12076;

//Little-Endian!
const unsigned char bmp_header[] = {
	//BITMAPFILEHEADER
	//bfType = "BM" in ASCII
	0x42, 0x4D,
	
	//bfSize = 0x12076 = 73846 = biSizeImage + bfOffBits
	0x76, 0x20, 0x01, 0x00,
	
	//bfReserved
	0x00, 0x00, 0x00, 0x00,
	
	//bfOffBits = 0x76 = 118 (the size of all header parts bf=14 + bi=40 + clr=64)
	0x76, 0x00, 0x00, 0x00,
	
	//BITMAPINFOHEADER
	//biSize = 0x28 = 40
	0x28, 0x00, 0x00, 0x00,
	
	//biWidth = 0x100 = 256
	0x00, 0x01, 0x00, 0x00,
	
	//biHeight = 0x120 = 288
	0x20, 0x01, 0x00, 0x00,
	
	//biPlanes = 1 (deprecated, constant)
	0x01, 0x00,
	
	//biBitCount = 8 (bit depth; the image received from zfm20 is 4 bit but should be extended to 8 bit)
	0x08, 0x00,
	
	//biCompression = 0 (BI_RGB - uncompressed)
	0x00, 0x00, 0x00, 0x00,
	
	//biSizeImage = 0x100 * 0x120 = 0x12000 = 73728
	0x00, 0x20, 0x01, 0x00,
	
	//biXPelsPerMeter = 0 (unused)
	0x00, 0x00, 0x00, 0x00,
	
	//biYPelsPerMeter = 0 (unused)
	0x00, 0x00, 0x00, 0x00,
	
	//biClrUsed = 0x10 = 16 (number of colors in the color table, 16 = 2^4; 4bit greyscale mapped to 8 bit)
	0x10, 0x00, 0x00, 0x00,
	
	//biClrImportant = 0 (use all colors in the color table)
	0x00, 0x00, 0x00, 0x00,
	
	//COLOR TABLE
	//4-bit grayscale scaled to 8-bit
	//R     G     B     -     R     G     B     -     R     G     B     -     R     G     B     -   
	0x00, 0x00, 0x00, 0x00, 0x11, 0x11, 0x11, 0x00, 0x22, 0x22, 0x22, 0x00, 0x33, 0x33, 0x33, 0x00,
	0x44, 0x44, 0x44, 0x00, 0x55, 0x55, 0x55, 0x00, 0x66, 0x66, 0x66, 0x00, 0x77, 0x77, 0x77, 0x00,
	0x88, 0x88, 0x88, 0x00, 0x99, 0x99, 0x99, 0x00, 0xAA, 0xAA, 0xAA, 0x00, 0xBB, 0xBB, 0xBB, 0x00,
	0xCC, 0xCC, 0xCC, 0x00, 0xDD, 0xDD, 0xDD, 0x00, 0xEE, 0xEE, 0xEE, 0x00, 0xFF, 0xFF, 0xFF, 0x00};